Subject: Re: [PATCH net] netfilter: nft_socket: Fix a NULL vs IS_ERR() bug in nft_socket_cgroup_subtree_level()

From: Pablo Neira Ayuso <[email-masked]>
Date: Sun, 15 Sep 2024 00:07:34 +0200

On Sat, Sep 14, 2024 at 01:19:40PM +0200, Florian Westphal wrote:
> Dan Carpenter <[email-masked]> wrote:
> > The cgroup_get_from_path() function never returns NULL, it returns error
> > pointers.  Update the error handling to match.
> 
> Good news, I will retire in the next few years so I don't send shit
> patches anymore.
> 
> Acked-by: Florian Westphal <[email-masked]>

This is also my fault, I did not help to catch this error in any way:

Acked-by: Pablo Neira Ayuso <[email-masked]>